TAG=$1
PROJECT_NAME=prayercircle
REPO_NAME=git.silas.link:Ainias/prayercircle

# exit when error occurs
set -e
# Kills any process when the script ends
trap "trap - SIGTERM && kill -- -$$" SIGINT SIGTERM EXIT

if [ -z "$TAG" ]; then
        echo "no tag given, ABORT!"
        exit 1
fi;

# Create tag and update
git add .
git commit -m "bump version to $TAG through release.sh script"
git tag -a "$TAG" -m "Tag for version $TAG"
git push --follow-tags


ssh dicetable.net "/root/bin/install.sh \"$PROJECT_NAME\" \"$TAG\" prayercircle 1"
